REM AUTOMATION HOL - This script copies the needed files from the pipeline Drop folder to the target machine and runs the PowerShell script that leaves the package prepared for deployment

REM AUTOMATION HOL - Path where the deployment package is stored (the Drop location for the pipeline instance)
set packageLocation=%~1
REM AUTOMATION HOL - Name of the environment where the deployment is made. This is used to pick the corresponding configuration file from the available ones
set environment=%~2
REM AUTOMATION HOL - Name of the temporal folder to use in the target computer
set tempfolder=%~3

REM AUTOMATION HOL - Preparing the local temp directory to copy the files and run the deployment
set deploymentLocation="%tempfolder%\WindowsPhone\%environment%"
if exist "%deploymentLocation%" rd /s /q "%deploymentLocation%"
mkdir "%deploymentLocation%"

REM AUTOMATION HOL - Copying the PowerShell script used for repackaging,  from the Drop location to the local deployment folder
copy "%packageLocation%\Release\Deployment\WindowsPhone\RepackageWinPhoneClient.ps1" "%deploymentLocation%"

REM AUTOMATION HOL - Running the PowerShell script to change the configuration file and repackage
cmd /c Powershell.exe -ExecutionPolicy bypass -File "%deploymentLocation%\RepackageWinPhoneClient.ps1" "%packageLocation%\Release" "%deploymentLocation%" "%environment%"

