﻿//===============================================================================
// Microsoft patterns & practices
// Guidance on Building a Release Pipeline with Team Foundation Server
//===============================================================================
// Copyright © Microsoft Corporation.  All rights reserved.
// This code released under the terms of the 
// Microsoft patterns & practices license (http://dataguidance.codeplex.com/license)
//===============================================================================


namespace TreyResearch.Cloud.WcfService.WebRole
{
    using System.Diagnostics;
    using System.IO;
    using Microsoft.WindowsAzure.Diagnostics;
    using Microsoft.WindowsAzure.ServiceRuntime;

    public class AzureLocalStorageTraceListener : XmlWriterTraceListener
    {
        public AzureLocalStorageTraceListener()
            : base(Path.Combine(AzureLocalStorageTraceListener.GetLogDirectory().Path, "TreyResearch.Cloud.WcfService.WebRole.svclog"))
        {
        }

        public static DirectoryConfiguration GetLogDirectory()
        {
            var directory = new DirectoryConfiguration
                {
                    Container = "wad-tracefiles",
                    DirectoryQuotaInMB = 10,
                    Path = RoleEnvironment.GetLocalResource("TreyResearch.Cloud.WcfService.WebRole.svclog").RootPath
                };
           
            return directory;
        }
    }
}
